Loading...
Searching...
No Matches
loop_over_children.hpp File Reference

Provides raptor::hibf::loop_over_children. More...

`#include <robin_hood.h>`
`#include <raptor/argument_parsing/build_arguments.hpp>`
`#include <raptor/build/hibf/build_data.hpp>`

Go to the source code of this file.

## Namespaces

namespace | raptor::hibf
| Must be first include.

## Functions

template<seqan3::data_layout data_layout_mode>
void | raptor::hibf::loop_over_children (robin_hood::unordered_flat_set< size_t > &parent_kmers, seqan3::interleaved_bloom_filter<> &ibf, std::vector< int64_t > &ibf_positions, lemon::ListDigraph::Node const &current_node, build_data< data_layout_mode > &data, build_arguments const &arguments, bool is_root)

## Detailed Description

Provides raptor::hibf::loop_over_children.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>